class Detector extends Mutator config(DPD);

var config bool		bKickForProxy,
			bKickCustomURL,
			bCreateHostDB,
			bCreateACEDB;
var config string	CustomURL[2000];
var bool		bLogSpawned,
			bStartCheck;
var Actor 		IpToCountry;
var ProxyLog 		PLog;
var string 		ProxyA[500],
			ProxyB[500],
			ProxyC[500],
			ProxyD[500];//not used yet
var int 		Num,
			NumB,
			NumC,
			CustomNum;

var string TempName[32], TempHost[32], Detected[64];

function PreBeginPlay ()
{
	Super.PreBeginPlay();

	if ( bCreateHostDB )
		AddMutator(Level.Spawn(class'CreateHostDB'));
	if ( bCreateACEDB )
		AddMutator(Level.Spawn(class'CreateACEDB'));

	SetTimer(10.0,True);

	SetVariables();
	Num = 0;
	PLog = None;

	log("*****************************************************");
	log("* TheDanes Proxy Detector, b5i(edited by iloveut99) *");
	log("*         mail/msn: thedane_ut@hotmail.com          *");
	log("*      Website : http://www.thedanesjoint.com       *");
	if ( bCreateHostDB )
		log("*           Hostname Database is enabled.           *");
	else
		log("*           Hostname Database is disabled.          *");
	if ( bCreateACEDB )
		log("*              ACE Database is enabled.             *");
	else
		log("*              ACE Database is disabled.            *");
	log("*****************************************************");

	SaveConfig();
}

function PostBeginPlay()
{
	BindIpToCountry();

	if ( PLog == None )
		{
		PLog = Spawn(class'ProxyLog');
		PLog.StartLog();
		bLogSpawned = True;
		}	
}

function bool BindIpToCountry()
{
	local Actor A;
	foreach AllActors(class'Actor', A, 'LinkActor')
		IpToCountry = A;
}

function string GetIpInfo(string IP)
{
	if(IpToCountry != None)
		return IpToCountry.GetItemName(IP);
}

function CheckPlayer(Pawn P, string InfoString)
{
local string PN;
local int i;

	if( InStr(InfoString, ProxyA[Num]) != -1)
		{
		PN = P.PlayerReplicationInfo.PlayerName;

		if ( PLog != None )
			{
			if ( !bKickForProxy )
				{
				for ( i=0; i<32; i++ )
					{
					if ( TempName[i] == "" )
						{
						TempName[i] = PN;
						TempHost[i] = InfoString;
						i = 32;
						}
					}
				}
			else
				{
				P.Destroy();
				for ( i=0; i<32; i++ )
					{
					if ( TempName[i] == "" )
						{
						TempName[i] = PN;
						TempHost[i] = InfoString;
						i = 32;
						}
					}
				}
			}
		}
	else if( InStr(InfoString, ProxyB[NumB]) != -1)
		{

		PN = P.PlayerReplicationInfo.PlayerName;

		if ( PLog != None )
			{
			if ( !bKickForProxy )
				{
				for ( i=0; i<32; i++ )
					{
					if ( TempName[i] == "" )
						{
						TempName[i] = PN;
						TempHost[i] = InfoString;
						i = 32;
						}
					}
				}
			else
				{
				P.Destroy();
				for ( i=0; i<32; i++ )
					{
					if ( TempName[i] == "" )
						{
						TempName[i] = PN;
						TempHost[i] = InfoString;
						i = 32;
						}
					}
				}
			}
		}
	else if( InStr(InfoString, ProxyC[NumC]) != -1)
		{

		PN = P.PlayerReplicationInfo.PlayerName;

		if ( PLog != None )
			{
			if ( !bKickForProxy )
				{
				for ( i=0; i<32; i++ )
					{
					if ( TempName[i] == "" )
						{
						TempName[i] = PN;
						TempHost[i] = InfoString;
						i = 32;
						}
					}
				}
			else
				{
				P.Destroy();
				for ( i=0; i<32; i++ )
					{
					if ( TempName[i] == "" )
						{
						TempName[i] = PN;
						TempHost[i] = InfoString;
						i = 32;
						}
					}
				}
			}
		}
	else if( InStr(InfoString, CustomURL[CustomNum]) != -1 && CustomURL[CustomNum] != "" )
		{

		PN = P.PlayerReplicationInfo.PlayerName;

		if ( PLog != None )
			{
			if ( !bKickCustomURL )
				{
				for ( i=0; i<32; i++ )
					{
					if ( TempName[i] == "" )
						{
						TempName[i] = PN;
						TempHost[i] = InfoString$" (Custom URL)";
						i = 32;
						}
					}
				}
			else
				{
				P.Destroy();
				for ( i=0; i<32; i++ )
					{
					if ( TempName[i] == "" )
						{
						TempName[i] = PN;
						TempHost[i] = InfoString$" (Custom URL)";
						i = 32;
						}
					}
				}
			}
		}
		Num++;
	if ( ProxyA[Num] == "" || Num > 499 )
		Num = 0;
	NumB++;
	if ( ProxyB[NumB] == "" || NumB > 499 )
		NumB = 0;
	NumC++;
	if ( ProxyC[NumC] == "" || NumC > 499 )
		NumC = 0;
	CustomNum++;
	if ( CustomURL[CustomNum] == "" || CustomNum > 2000 )
		CustomNum = 0;
}

function bool HandleEndGame()
{
local Pawn P;

	Super.HandleEndGame();

	if ( PLog != none )
		{
		PLog.StopLog();
		PLog.Destroy();
		PLog = None;
		};

	if (NextMutator != None)
		return (NextMutator.HandleEndGame());
}

function Timer()
{
local int i, ii, NumLogs;

	SetTimer(3.0,True);

	bStartCheck = True;

	for ( i=0; i<32; i++ )
		{
		if ( TempName[i] != "" )
			{
			if ( !bKickForProxy )
				{
				for ( ii=0; ii<64; ii++ )
					{
					if ( Detected[ii] == "" || Detected[ii] == TempName[i])
						{
						if ( Detected[ii] != TempName[i] )
							PLog.LogEventString(TempName[i]$" is using proxy:"@TempHost[i]);
						Detected[ii] = TempName[i];
						ii = 500;
						}
					}
				}
			else
				{
				PLog.LogEventString(TempName[i]$" is kicked for using proxy:"@TempHost[i]);
				}
			//PLog.FileFlush();
			TempName[i] = "";
			TempHost[i] = "";
			}
		}
}

function Tick(float DeltaTime)
{
local Pawn P;
local string IP;
local String Country;

	Super.Tick(DeltaTime);

	if ( !bStartCheck )
		Return;

	for (P = Level.PawnList; P != None; P = P.NextPawn)
		{
		if ( P.IsA('PlayerPawn') )
			{
			IP = PlayerPawn(P).GetPlayerNetworkAddress();
			IP = Left(IP, InStr(IP, ":"));
			Country = GetIpInfo(IP);
			
			if ( Left(Country, 1) != "!" && Left(Country, 1) != "" )
				{
				Country = SelElem(Country,2);
				CheckPlayer(P,Country);
				}
			}
		}	
}

function string SelElem(string Str, int Elem, optional string Char)
{
	local int pos;
	if(Char=="")
		Char=":";

	while(Elem>1)
	{
		Str=Mid(Str, InStr(Str, Char)+1);
		Elem--;
	}
	pos=InStr(Str, Char);
	if(pos != -1)
    	Str=Left(Str, pos);
    return Str;
}

function SetVariables()
{
ProxyA[0] = "proxy";
ProxyA[1] = "anchorfree.com";
ProxyA[2] = "27.50.94.193";
ProxyA[3] = "newzealandfishing.com";
ProxyA[4] = "callplus.net.nz";
ProxyA[5] = "sharafshipping.ae";
ProxyA[6] = "80.227.6.74";
ProxyA[7] = "wataniyaonline.com";
ProxyA[8] = "213.42.79.164";
ProxyA[9] = "217.66.210.3";
ProxyA[10] = "80.227.0.153";
ProxyA[11] = "213.42.91.66";
ProxyA[12] = "195.229.228.229";
ProxyA[13] = "213.132.58.149";
ProxyA[14] = "83.111.254.90";
ProxyA[15] = "69.50.65";
ProxyA[16] = "213.149.109";
ProxyA[17] = "195.250.78.172";
ProxyA[18] = "80.86.233.139";
ProxyA[19] = "195.250.72.164";
ProxyA[20] = "80.86.232.231";
ProxyA[21] = "80.86.233.78";
ProxyA[22] = "216.152.168.254";
ProxyA[23] = "65.164.90.166";
ProxyA[24] = "66.110.119.170";
ProxyA[25] = "195.8.17.214";
ProxyA[26] = "62.56.238.131";
ProxyA[27] = "194.133.130.73";
ProxyA[28] = "200.26.114.131";
ProxyA[29] = "200.55.21.131";
ProxyA[30] = "200.59.206.34";
ProxyA[31] = "200.41.239.42";
ProxyA[32] = "200.69.212.146";
ProxyA[33] = "200.43.196.132";
ProxyA[34] = "200.81.1.45";
ProxyA[35] = "200.43.161.4";
ProxyA[36] = "200.81.1.19";
ProxyA[37] = "200.43.68.97";
ProxyA[38] = "213.164.26.4";
ProxyA[39] = "212.17.86.109";
ProxyA[40] = "81.189.215.181";
ProxyA[41] = "193.170.41.235";
ProxyA[42] = "81.223.44.212";
ProxyA[43] = "80.122.170.122";
ProxyA[44] = "80.122.169.38";
ProxyA[45] = "80.122.231.26";
ProxyA[46] = "193.170.218.50";
ProxyA[47] = "193.170.218.170";
ProxyA[48] = "203.161.118.218";
ProxyA[49] = "203.31.95.150";
ProxyA[50] = "165.228.59.125";
ProxyA[51] = "203.110.246.22";
ProxyA[52] = "202.45.119.45";
ProxyA[53] = "202.63.72.10";
ProxyA[54] = "202.45.119.41";
ProxyA[55] = "202.45.119.37";
ProxyA[56] = "203.20.58.1";
ProxyA[57] = "202.45.119.43";
ProxyA[58] = "209.88.128.10";
ProxyA[59] = "217.64.29.152";
ProxyA[60] = "217.14.103.238";
ProxyA[61] = "217.14.102.136";
ProxyA[62] = "195.252.72.50";
ProxyA[63] = "80.65.91.252";
ProxyA[64] = "217.75.194.118";
ProxyA[65] = "200.50.66.2";
ProxyA[66] = "200.50.94.1";
ProxyA[67] = "203.88.99.2";
ProxyA[68] = "202.51.180.150";
ProxyA[69] = "203.188.248.12";
ProxyA[70] = "203.112.195.90";
ProxyA[71] = "202.168.228.238";
ProxyA[72] = "210.4.76.170";
ProxyA[73] = "203.190.33.29";
ProxyA[74] = "202.168.246.42";
ProxyA[75] = "202.168.224.67";
ProxyA[76] = "212.165.128.231";
ProxyA[77] = "81.242.6.21";
ProxyA[78] = "212.76.224.165";
ProxyA[79] = "213.31.172.57";
ProxyA[80] = "212.76.246.8";
ProxyA[81] = "81.246.109.140";
ProxyA[82] = "195.162.195.10";
ProxyA[83] = "80.236.193.247";
ProxyA[84] = "194.6.227.175";
ProxyA[85] = "62.197.71.219";
ProxyA[86] = "81.247.192.206";
ProxyA[87] = "212.52.140.1";
ProxyA[88] = "212.52.152.58";
ProxyA[89] = "206.82.130.210";
ProxyA[90] = "193.68.219.1";
ProxyA[91] = "193.138.67.114";
ProxyA[92] = "82.147.129.86";
ProxyA[93] = "80.80.139.187";
ProxyA[94] = "82.199.221.146";
ProxyA[95] = "213.91.218.152";
ProxyA[96] = "212.50.16.22";
ProxyA[97] = "62.204.141.226";
ProxyA[98] = "82.103.78.160";
ProxyA[99] = "82.194.53.249";
ProxyA[100] = "82.194.35.15";
ProxyA[101] = "217.17.23";
ProxyA[102] = "217.17.24";
ProxyA[103] = "82.206.140.100";
ProxyA[104] = "202.12.26.5";
ProxyA[105] = "202.152.64.25";
ProxyA[106] = "202.152.85.29";
ProxyA[107] = "202.152.77.18";
ProxyA[108] = "200.87.120.46";
ProxyA[109] = "200.87.131.52";
ProxyA[110] = "200.119.203.66";
ProxyA[111] = "200.87.117.58";
ProxyA[112] = "200.87.237.42";
ProxyA[113] = "200.87.6.19";
ProxyA[114] = "200.87.113.106";
ProxyA[115] = "200.87.6.19";
ProxyA[116] = "200.87.109.11";
ProxyA[117] = "200.87.90.60";
ProxyA[118] = "200.196.234.26";
ProxyA[119] = "200.253.116.3";
ProxyA[120] = "200.251.62.50";
ProxyA[121] = "200.248.82.130";
ProxyA[122] = "200.96.190.90";
ProxyA[123] = "200.207.152.33";
ProxyA[124] = "200.217.57.123";
ProxyA[125] = "200.166.185.130";
ProxyA[126] = "200.202.249.85";
ProxyA[127] = "200.196.108.74";
ProxyA[128] = "24.231.62.135";
ProxyA[129] = "24.231.63.63";
ProxyA[130] = "24.244.147.200";
ProxyA[131] = "24.244.130.222";
ProxyA[132] = "24.244.130.61";
ProxyA[133] = "24.244.158.72";
ProxyA[134] = "202.144.141.19";
ProxyA[135] = "193.220.193.155";
ProxyA[136] = "213.193.44.15";
ProxyA[137] = "80.94.160.202";
ProxyA[138] = "82.209.223.60";
ProxyA[139] = "194.158.211.210";
ProxyA[140] = "80.94.174.70";
ProxyA[141] = "82.209.198.3";
ProxyA[142] = "194.158.198.98";
ProxyA[143] = "82.209.200.19";
ProxyA[144] = "213.184.229.152";
ProxyA[145] = "82.209.242.167";
ProxyA[146] = "217.21.33.37";
ProxyA[147] = "206.27.244.50";
ProxyA[148] = "207.179.146.70";
ProxyA[149] = "47.230.0.43";
ProxyA[150] = "24.80.45.103";
ProxyA[151] = "209.50.74.14";
ProxyA[152] = "209.50.74.6";
ProxyA[153] = "68.148.128.208";
ProxyA[154] = "204.50.203.36";
ProxyA[155] = "64.114.124.137";
ProxyA[156] = "209.47.94.117";
ProxyA[157] = "209.87.243.197";
ProxyA[158] = "193.251.137.";
ProxyA[159] = "81.63.140.37";
ProxyA[160] = "62.2.150.188";
ProxyA[161] = "212.62.124.90";
ProxyA[162] = "129.194.36.231";
ProxyA[163] = "81.13.230.228";
ProxyA[164] = "62.65.159.182";
ProxyA[165] = "212.62.125.133";
ProxyA[166] = "212.62.112.123";
ProxyA[167] = "193.110.85.24";
ProxyA[168] = "213.136.108.";
ProxyA[169] = "196.201.64.2";
ProxyA[170] = "196.201.66.218";
ProxyA[171] = "213.136.112.166";
ProxyA[172] = "196.201.79.242";
ProxyA[173] = "213.136.112.28";
ProxyA[174] = "213.136.114.42";
ProxyA[175] = "200.24.233.18";
ProxyA[176] = "200.68.33.44";
ProxyA[177] = "164.77.69.114";
ProxyA[178] = "200.83.4.60";
ProxyA[179] = "200.1.123.30";
ProxyA[180] = "200.83.4.60";
ProxyA[181] = "200.28.135.12";
ProxyA[182] = "200.31.33.169";
ProxyA[183] = "200.104.29.53";
ProxyA[184] = "200.73.66.254";
ProxyA[185] = "195.24.205.21";
ProxyA[186] = "195.24.222.139";
ProxyA[187] = "202.107.196.2";
ProxyA[188] = "61.178.128.208";
ProxyA[189] = "221.212.177.97";
ProxyA[190] = "218.107.55.250";
ProxyA[191] = "61.50.217.230";
ProxyA[192] = "218.26.91.74";
ProxyA[193] = "211.138.198.7";
ProxyA[194] = "222.83.228.34";
ProxyA[195] = "221.208.17.6";
ProxyA[196] = "218.6.135.142";
ProxyA[197] = "200.21.103.2";
ProxyA[198] = "200.118.123.5";
ProxyA[199] = "200.21.103.10";
ProxyA[200] = "200.118.107.79";
ProxyA[201] = "200.21.91.106";
ProxyA[202] = "200.24.17.162";
ProxyA[203] = "200.31.195.10";
ProxyA[204] = "200.21.244.142";
ProxyA[205] = "200.21.225.234";
ProxyA[206] = "200.75.44.6";
ProxyA[207] = "196.40.69.22";
ProxyA[208] = "196.40.26.74";
ProxyA[209] = "200.91.78.242";
ProxyA[210] = "163.178.90.130";
ProxyA[211] = "200.122.152.60";
ProxyA[212] = "196.40.0.58";
ProxyA[213] = "200.12.238.124";
ProxyA[214] = "196.40.85.90";
ProxyA[215] = "196.40.2.245";
ProxyA[216] = "212.31.98.170";
ProxyA[217] = "69.20.10.67";
ProxyA[218] = "212.31.98.170";
ProxyA[219] = "81.4.168.51";
ProxyA[220] = "213.169.128.51";
ProxyA[221] = "194.213.52.202";
ProxyA[222] = "193.85.247.52";
ProxyA[223] = "62.168.13.70";
ProxyA[224] = "193.179.133.26";
ProxyA[225] = "82.114.71.142";
ProxyA[226] = "82.114.65.194";
ProxyA[227] = "81.0.194.6";
ProxyA[228] = "212.111.21.10";
ProxyA[229] = "193.84.187.44";
ProxyA[230] = "193.85.145.251";
ProxyA[231] = "195.145.33.82";
ProxyA[232] = "62.153.60.210";
ProxyA[233] = "141.57.24.211";
ProxyA[234] = "80.228.29.90";
ProxyA[235] = "80.152.168.17";
ProxyA[236] = "213.173.226.190";
ProxyA[237] = "195.189.52.11";
ProxyA[238] = "213.202.238.46";
ProxyA[239] = "193.111.120.47";
ProxyA[240] = "192.38.67.46";
ProxyA[241] = "213.173.229.29";
ProxyA[242] = "80.163.85.134";
ProxyA[243] = "147.29.152.227";
ProxyA[244] = "195.78.91.157";
ProxyA[245] = "80.164.244.190";
ProxyA[246] = "193.31.15.90";
ProxyA[247] = "codetel.net.do";
ProxyA[248] = "200.42.215.215";
ProxyA[249] = "200.42.211.35";
ProxyA[250] = "196.32.128.250";
ProxyA[251] = "200.42.211.123";
ProxyA[252] = "200.88.46.58";
ProxyA[253] = "193.194.83.31";
ProxyA[254] = "80.249.72.";
ProxyA[255] = "193.194.69.15";
ProxyA[256] = "80.249.73.";
ProxyA[257] = "200.63.213.2";
ProxyA[258] = "200.105.231.130";
ProxyA[259] = "157.100.156.74";
ProxyA[260] = "200.93.218.207";
ProxyA[261] = "200.6.20.52";
ProxyA[262] = "157.100.134.43";
ProxyA[263] = "200.63.205.211";
ProxyA[264] = "200.32.69.210";
ProxyA[265] = "200.93.208.229";
ProxyA[266] = "195.250.188.52";
ProxyA[267] = "193.40.102.2";
ProxyA[268] = "193.40.84.70";
ProxyA[269] = "217.159.208.230";
ProxyA[270] = "217.159.149.194";
ProxyA[271] = "193.40.242.231";
ProxyA[272] = "217.159.233.242";
ProxyA[273] = "213.35.129.2";
ProxyA[274] = "194.204.57.200";
ProxyA[275] = "80.235.59.204";
ProxyA[276] = "212.103.185.40";
ProxyA[277] = "193.19.234.66";
ProxyA[278] = "193.19.234.242";
ProxyA[279] = "82.201.130.19";
ProxyA[280] = "62.241.141.242";
ProxyA[281] = "62.139.43.243";
ProxyA[282] = "213.212.232.59";
ProxyA[283] = "62.139.185.34";
ProxyA[284] = "81.10.104.230";
ProxyA[285] = "81.10.57.186";
ProxyA[286] = "195.235.161.21";
ProxyA[287] = "80.38.167.58";
ProxyA[288] = "213.37.64.5";
ProxyA[289] = "80.35.163.52";
ProxyA[290] = "62.15.133.154";
ProxyA[291] = "138.4.113.136";
ProxyA[292] = "195.76.242.227";
ProxyA[293] = "213.37.146.71";
ProxyA[294] = "194.30.95.26";
ProxyA[295] = "80.26.83.7";
ProxyA[296] = "213.55.94.114";
ProxyA[297] = "213.55.78.106";
ProxyA[298] = "213.55.74.46";
ProxyA[299] = "213.55.72.35";
ProxyA[300] = "213.55.72.38";
ProxyA[301] = "213.55.93.236";
ProxyA[302] = "212.83.105.180";
ProxyA[303] = "62.236.135.100";
ProxyA[304] = "195.242.192.18";
ProxyA[305] = "192.100.124.220";
ProxyA[306] = "194.137.80.76";
ProxyA[307] = "62.236.75.66";
ProxyA[308] = "195.242.193.11";
ProxyA[309] = "212.213.221.246";
ProxyA[310] = "147.243.236.59";
ProxyA[311] = "213.216.199.2";
ProxyA[312] = "202.62.122.178";
ProxyA[313] = "202.62.120.155";
ProxyA[314] = "80.77.130.216";
ProxyA[315] = "213.30.163.218";
ProxyA[316] = "82.66.124.146";
ProxyA[317] = "194.254.103.248";
ProxyA[318] = "81.57.70.143";
ProxyA[319] = "195.248.8.18";
ProxyA[320] = "193.251.176.77";
ProxyA[321] = "82.241.169.44";
ProxyA[322] = "81.56.175.116";
ProxyA[323] = "213.41.192.186";
ProxyA[324] = "81.64.34.86";
ProxyA[325] = "217.77.77.";
ProxyA[326] = "217.146.125.43";
ProxyA[327] = "82.68.24.148";
ProxyA[328] = "213.208.127.177";
ProxyA[329] = "82.17.181.100";
ProxyA[330] = "213.177.255.60";
ProxyA[331] = "212.248.244.225";
ProxyA[332] = "217.45.141.242";
ProxyA[333] = "81.140.160.26";
ProxyA[334] = "195.248.254.11";
ProxyA[335] = "194.83.70.20";
ProxyA[336] = "205.214.207.100";
ProxyA[337] = "213.157.203.66";
ProxyA[338] = "212.58.118.254";
ProxyA[339] = "62.168.176.229";
ProxyA[340] = "62.168.169.219";
ProxyA[341] = "212.85.210.66";
ProxyA[342] = "212.85.202.70";
ProxyA[343] = "195.8.26.38";
ProxyA[344] = "212.85.19";
ProxyA[345] = "216.252.183.";
ProxyA[346] = "80.231.205.88";
ProxyA[347] = "147.52.151.3";
ProxyA[348] = "195.251.114.2";
ProxyA[349] = "213.5.161.51";
ProxyA[350] = "195.251.70.200";
ProxyA[351] = "195.251.70.190";
ProxyA[352] = "195.251.113.194";
ProxyA[353] = "139.91.70.144";
ProxyA[354] = "81.186.99.17";
ProxyA[355] = "139.91.70.126";
ProxyA[356] = "62.103.21.21";
ProxyA[357] = "168.234.158.102";
ProxyA[358] = "200.30.136.149";
ProxyA[359] = "200.30.143.18";
ProxyA[360] = "200.30.128.108";
ProxyA[361] = "200.49.166.229";
ProxyA[362] = "200.30.143.211";
ProxyA[363] = "216.230.155.66";
ProxyA[364] = "66.178.15.150";
ProxyA[365] = "200.49.168.202";
ProxyA[366] = "168.234.153.34";
ProxyA[367] = "65.216.115.212";
ProxyA[368] = "202.82.118.193";
ProxyA[369] = "202.82.119.17";
ProxyA[370] = "203.198.71.187";
ProxyA[371] = "202.134.117.50";
ProxyA[372] = "218.188.13.86";
ProxyA[373] = "202.82.76.166";
ProxyA[374] = "202.181.206.123";
ProxyA[375] = "61.92.180.7";
ProxyA[376] = "210.0.202.30";
ProxyA[377] = "210.0.140.96";
ProxyA[378] = "207.42.190.10";
ProxyA[379] = "200.41.53.1";
ProxyA[380] = "63.245.9.142";
ProxyA[381] = "63.245.8.98";
ProxyA[382] = "204.249.102.34";
ProxyA[383] = "204.249.98.54";
ProxyA[384] = "64.86.100.";
ProxyA[385] = "161.53.9.39";
ProxyA[386] = "80.253.169.58";
ProxyA[387] = "161.53.7.184";
ProxyA[388] = "195.29.45.18";
ProxyA[389] = "80.253.170.190";
ProxyA[390] = "217.14.208.176";
ProxyA[391] = "83.131.7.17";
ProxyA[392] = "83.131.10.117";
ProxyA[393] = "161.53.51.205";
ProxyA[394] = "213.149.48.218";
ProxyA[395] = "193.6.189.2";
ProxyA[396] = "213.253.216.26";
ProxyA[397] = "217.65.117.237";
ProxyA[398] = "193.224.189.2";
ProxyA[399] = "62.165.193.88";
ProxyA[400] = "82.141.145.197";
ProxyA[401] = "80.99.199.223";
ProxyA[402] = "82.141.145.197";
ProxyA[403] = "193.225.24.245";
ProxyA[404] = "213.178.125.37";
ProxyA[405] = "202.59.200.205";
ProxyA[406] = "202.159.127.102";
ProxyA[407] = "222.124.206.45";
ProxyA[408] = "222.124.251.149";
ProxyA[409] = "222.124.24.113";
ProxyA[410] = "222.124.180.37";
ProxyA[411] = "202.3.217.122";
ProxyA[412] = "202.152.4.217";
ProxyA[413] = "222.124.3.26";
ProxyA[414] = "82.195.156.186";
ProxyA[415] = "159.134.203.181";
ProxyA[416] = "193.120.123.130";
ProxyA[417] = "193.1.160.183";
ProxyA[418] = "136.206.1.23";
ProxyA[419] = "82.193.37.3";
ProxyA[420] = "134.226.32.247";
ProxyA[421] = "213.94.177.16";
ProxyA[422] = "193.120.142.22";
ProxyA[423] = "193.1.75.6";
ProxyA[424] = "81.199.174.63";
ProxyA[425] = "192.114.168.134";
ProxyA[426] = "81.199.2.116";
ProxyA[427] = "81.199.171.56";
ProxyA[428] = "192.115.104.88";
ProxyA[429] = "82.80.72.14";
ProxyA[430] = "81.199.171.43";
ProxyA[431] = "212.25.95.135";
ProxyA[432] = "195.3.131.35";
ProxyA[433] = "203.187.232.3";
ProxyA[434] = "202.157.76.70";
ProxyA[435] = "203.199.214.138";
ProxyA[436] = "203.115.81.196";
ProxyA[437] = "219.64.65.26";
ProxyA[438] = "220.227.138.82";
ProxyA[439] = "61.95.207.196";
ProxyA[440] = "220.227.134.30";
ProxyA[441] = "202.87.40.59";
ProxyA[442] = "210.212.162.171";
ProxyA[443] = "213.181.56.12";
ProxyA[444] = "217.219.47.56";
ProxyA[445] = "62.193.28.101";
ProxyA[446] = "82.99.217.231";
ProxyA[447] = "217.218.89.3";
ProxyA[448] = "81.12.77.54";
ProxyA[449] = "82.99.209.117";
ProxyA[450] = "80.191.224.218";
ProxyA[451] = "217.11.27.61";
ProxyA[452] = "82.99.217.169";
ProxyA[453] = "217.11.21.4";
ProxyA[454] = "130.208.69.26";
ProxyA[455] = "212.30.218.130";
ProxyA[456] = "160.97.36.70";
ProxyA[457] = "159.213.87.22";
ProxyA[458] = "213.215.246.250";
ProxyA[459] = "217.141.249.203";
ProxyA[460] = "81.74.192.58";
ProxyA[461] = "82.105.67.37";
ProxyA[462] = "217.141.251.202";
ProxyA[463] = "62.94.197.130";
ProxyA[464] = "217.141.105.203";
ProxyA[465] = "82.105.67.36";
ProxyA[466] = "208.138.31.88";
ProxyA[467] = "208.138.31.138";
ProxyA[468] = "208.138.19.130";
ProxyA[469] = "208.138.21.88";
ProxyA[470] = "194.165.134.26";
ProxyA[471] = "193.188.77.2";
ProxyA[472] = "217.23.37.131";
ProxyA[473] = "217.23.37.8";
ProxyA[474] = "61.213.197.107";
ProxyA[475] = "194.165.142.174";
ProxyA[476] = "217.29.240.36";
ProxyA[477] = "217.23.37.90";
ProxyA[478] = "218.182.134.23";
ProxyA[479] = "210.158.6.201";
ProxyA[480] = "220.33.204.136";
ProxyA[481] = "220.20.199.74";
ProxyA[482] = "210.197.97.67";
ProxyA[483] = "219.43.228.154";
ProxyA[484] = "219.191.64.95";
ProxyA[485] = "219.50.118.63";
ProxyA[486] = "220.28.46.131";
ProxyA[487] = "212.165.156.42";
ProxyA[488] = "212.165.156.34";
ProxyA[489] = "212.165.156.74";
ProxyA[490] = "196.201.136.127";
ProxyA[491] = "212.165.156.205";
ProxyA[492] = "212.22.173.170";
ProxyA[493] = "196.201.136.213";
ProxyA[494] = "194.54.64.27";
ProxyA[495] = "62.8.64.102";
ProxyA[496] = "62.24.109.110";
ProxyA[497] = "195.38.183.89";
ProxyA[498] = "195.38.162.4";
ProxyA[499] = "217.29.21.35";
//---------------------------------------------------------------------------------------------------------------
ProxyB[0] = "212.112.113.204";
ProxyB[1] = "203.223.42.9";
ProxyB[2] = "211.239.84.";
ProxyB[3] = "211.48.62.46";
ProxyB[4] = "203.234.238.195";
ProxyB[5] = "211.213.4.70";
ProxyB[6] = "61.250.149.6";
ProxyB[7] = "203.227.164.181";
ProxyB[8] = "220.69.189.39";
ProxyB[9] = "211.34.206.129";
ProxyB[10] = "82.116.151.6";
ProxyB[11] = "62.150.71.171";
ProxyB[12] = "82.116.131.10";
ProxyB[13] = "82.116.131.62";
ProxyB[14] = "82.116.151.170";
ProxyB[15] = "82.116.129.79";
ProxyB[16] = "82.116.129.169";
ProxyB[17] = "62.150.76.244";
ProxyB[18] = "82.116.129.175";
ProxyB[19] = "62.150.41.1";
ProxyB[20] = "82.115.46.137";
ProxyB[21] = "213.211.102.26";
ProxyB[22] = "212.116.238.253";
ProxyB[23] = "212.116.238.103";
ProxyB[24] = "82.200.199.159";
ProxyB[25] = "213.157.49.";
ProxyB[26] = "202.62.97.5";
ProxyB[27] = "82.146.165.3";
ProxyB[28] = "82.146.171.8";
ProxyB[29] = "63.109.248.30";
ProxyB[30] = "62.84.76.68";
ProxyB[31] = "82.146.171.69";
ProxyB[32] = "213.175.185.22";
ProxyB[33] = "63.109.247.246";
ProxyB[34] = "195.112.212.186";
ProxyB[35] = "63.109.248.17";
ProxyB[36] = "208.0.231.113";
ProxyB[37] = "203.189.65.106";
ProxyB[38] = "192.248.32.34";
ProxyB[39] = "203.143.31.147";
ProxyB[40] = "203.143.31.197";
ProxyB[41] = "203.143.23.51";
ProxyB[42] = "203.143.16.22";
ProxyB[43] = "220.247.214.178";
ProxyB[44] = "202.69.203.242";
ProxyB[45] = "220.247.225.132";
ProxyB[46] = "212.122.72.118";
ProxyB[47] = "82.135.146.114";
ProxyB[48] = "81.16.227.230";
ProxyB[49] = "193.219.242.67";
ProxyB[50] = "81.7.87.242";
ProxyB[51] = "193.219.206.68";
ProxyB[52] = "193.220.52.3";
ProxyB[53] = "213.226.139.1";
ProxyB[54] = "194.154.214.173";
ProxyB[55] = "212.24.219.147";
ProxyB[56] = "62.85.54.110";
ProxyB[57] = "80.233.225.78";
ProxyB[58] = "159.148.93.1";
ProxyB[59] = "81.198.253.136";
ProxyB[60] = "193.109.211.184";
ProxyB[61] = "159.148.188.203";
ProxyB[62] = "159.148.58.74";
ProxyB[63] = "194.19.240.228";
ProxyB[64] = "159.148.31.140";
ProxyB[65] = "159.148.225.11";
ProxyB[66] = "62.68.47.1";
ProxyB[67] = "209.58.121.170";
ProxyB[68] = "62.251.170.12";
ProxyB[79] = "81.192.156.88";
ProxyB[70] = "212.217.3.82";
ProxyB[71] = "62.251.128.98";
ProxyB[72] = "81.192.133.17";
ProxyB[73] = "212.217.68.106";
ProxyB[74] = "213.137.130.166";
ProxyB[75] = "195.78.30.66";
ProxyB[76] = "195.78.29.106";
ProxyB[77] = "195.78.6.27";
ProxyB[78] = "194.133.11.68";
ProxyB[79] = "82.113.20.126";
ProxyB[80] = "212.0.218.14";
ProxyB[81] = "217.26.172.82";
ProxyB[82] = "195.22.226.174";
ProxyB[83] = "217.12.112.142";
ProxyB[84] = "212.56.200.13";
ProxyB[85] = "194.149.134.2";
ProxyB[86] = "195.26.134.49";
ProxyB[87] = "217.16.74.168";
ProxyB[88] = "217.16.73.102";
ProxyB[89] = "195.26.138.18";
ProxyB[90] = "62.162.39.2";
ProxyB[91] = "194.149.132.31";
ProxyB[92] = "202.131.244.166";
ProxyB[93] = "202.55.191.10";
ProxyB[94] = "202.175.107.226";
ProxyB[95] = "202.175.45.218";
ProxyB[96] = "202.175.60.214";
ProxyB[97] = "202.175.96.84";
ProxyB[98] = "202.175.95.171";
ProxyB[99] = "202.175.95.188";
ProxyB[100] = "202.175.26.1";
ProxyB[101] = "82.151.73.226";
ProxyB[102] = "213.185.106.155";
ProxyB[103] = "212.56.133.95";
ProxyB[104] = "194.204.111.94";
ProxyB[105] = "194.204.97.104";
ProxyB[106] = "213.165.182.3";
ProxyB[107] = "80.71.99.36";
ProxyB[108] = "213.254.232.74";
ProxyB[109] = "202.1.197.175";
ProxyB[110] = "202.21.179.60";
ProxyB[111] = "202.1.196.3";
ProxyB[112] = "202.1.195.184";
ProxyB[113] = "202.1.198.";
ProxyB[114] = "202.1.197.247";
ProxyB[115] = "193.220.28.4";
ProxyB[116] = "217.113.78.62";
ProxyB[117] = "148.244.244.182";
ProxyB[118] = "200.76.23.1";
ProxyB[119] = "148.206.41.102";
ProxyB[120] = "148.233.159.57";
ProxyB[121] = "200.65.127.163";
ProxyB[122] = "200.76.240.39";
ProxyB[123] = "200.78.117.242";
ProxyB[124] = "200.78.121.243";
ProxyB[125] = "61.6.163.33";
ProxyB[126] = "210.19.67.14";
ProxyB[127] = "202.188.165.217";
ProxyB[128] = "203.121.0.12";
ProxyB[129] = "219.93.99.202";
ProxyB[130] = "210.187.119.244";
ProxyB[131] = "219.93.175.69";
ProxyB[132] = "210.187.46.194";
ProxyB[133] = "210.19.150.4";
ProxyB[134] = "202.75.41.74";
ProxyB[135] = "196.46.2.182";
ProxyB[136] = "196.28.230.76";
ProxyB[137] = "196.28.225.2";
ProxyB[138] = "196.28.225.3";
ProxyB[139] = "196.28.225.4";
ProxyB[140] = "193.220.24.247";
ProxyB[141] = "202.22.236.123";
ProxyB[142] = "193.251.227.85";
ProxyB[143] = "64.110.30.3";
ProxyB[144] = "193.189.124.183";
ProxyB[145] = "195.137.13.176";
ProxyB[146] = "217.117.14.165";
ProxyB[147] = "193.219.222.195";
ProxyB[148] = "216.250.221.228";
ProxyB[149] = "193.189.86.19";
ProxyB[150] = "64.110.30.3";
ProxyB[151] = "217.194.147.131";
ProxyB[152] = "165.98.124.186";
ProxyB[153] = "205.218.254.250";
ProxyB[154] = "63.245.26.14";
ProxyB[155] = "165.98.244.34";
ProxyB[156] = "212.45.53.122";
ProxyB[157] = "82.192.83.7";
ProxyB[158] = "145.103.253.153";
ProxyB[159] = "217.113.74.222";
ProxyB[160] = "193.110.157.154";
ProxyB[161] = "83.87.204.64";
ProxyB[162] = "80.126.64.123";
ProxyB[163] = "212.178.133.115";
ProxyB[164] = "80.69.73.175";
ProxyB[165] = "195.18.69.4";
ProxyB[166] = "193.219.193.102";
ProxyB[167] = "62.92.35.3";
ProxyB[168] = "193.69.12.225";
ProxyB[179] = "213.203.29.109";
ProxyB[170] = "194.69.214.120";
ProxyB[171] = "62.97.195.23";
ProxyB[172] = "62.101.198.44";
ProxyB[173] = "82.134.67.175";
ProxyB[174] = "82.147.33.181";
ProxyB[175] = "202.70.77.244";
ProxyB[176] = "202.70.68.70";
ProxyB[177] = "202.70.68.3";
ProxyB[178] = "202.52.242.69";
ProxyB[179] = "202.79.59.3";
ProxyB[180] = "210.54.175.130";
ProxyB[181] = "210.48.76.253";
ProxyB[182] = "203.109.157.80";
ProxyB[183] = "202.89.61.45";
ProxyB[184] = "210.55.248.134";
ProxyB[185] = "203.99.65.224";
ProxyB[186] = "210.54.174.130";
ProxyB[187] = "203.167.215.140";
ProxyB[188] = "82.178.132.154";
ProxyB[189] = "62.231.243.139";
ProxyB[190] = "212.72.30.140";
ProxyB[191] = "62.231.243.13";
ProxyB[192] = "82.178.133.97";
ProxyB[193] = "212.72.7.243";
ProxyB[194] = "62.231.243.136";
ProxyB[195] = "82.178.130.96";
ProxyB[196] = "201.225.47.202";
ProxyB[197] = "201.225.253.101";
ProxyB[198] = "201.225.40.228";
ProxyB[199] = "201.224.75.198";
ProxyB[200] = "200.46.125.35";
ProxyB[201] = "200.46.148.58";
ProxyB[202] = "201.224.151.14";
ProxyB[203] = "201.224.139.102";
ProxyB[204] = "64.117.250.135";
ProxyB[205] = "200.115.153.92";
ProxyB[206] = "200.60.58.231";
ProxyB[207] = "200.62.139.202";
ProxyB[208] = "200.62.165.83";
ProxyB[209] = "200.37.212.8";
ProxyB[210] = "200.60.230.108";
ProxyB[211] = "200.62.147.146";
ProxyB[212] = "200.62.192.163";
ProxyB[213] = "200.62.161.210";
ProxyB[214] = "200.37.73.66";
ProxyB[215] = "200.62.139.122";
ProxyB[216] = "202.1.54.28";
ProxyB[217] = "202.1.54.31";
ProxyB[218] = "202.95.202.25";
ProxyB[219] = "203.177.193.102";
ProxyB[220] = "61.9.118.116";
ProxyB[221] = "61.9.62.6";
ProxyB[222] = "203.131.94.152";
ProxyB[223] = "203.131.99.122";
ProxyB[224] = "202.86.205.33";
ProxyB[225] = "202.138.139.163";
ProxyB[226] = "202.57.35.52";
ProxyB[227] = "210.16.21.46";
ProxyB[228] = "61.9.62.5";
ProxyB[229] = "212.165.166.12";
ProxyB[230] = "202.38.58.210";
ProxyB[231] = "202.83.171.30";
ProxyB[232] = "202.38.53.237";
ProxyB[233] = "203.135.27.242";
ProxyB[234] = "202.3.130.16";
ProxyB[235] = "203.135.39.29";
ProxyB[236] = "203.128.254.186";
ProxyB[237] = "203.135.39.28";
ProxyB[238] = "83.17.123.186";
ProxyB[239] = "212.191.7.144";
ProxyB[240] = "217.144.201.131";
ProxyB[241] = "83.13.66.149";
ProxyB[242] = "217.70.56.161";
ProxyB[243] = "83.18.28.130";
ProxyB[244] = "213.227.72.212";
ProxyB[245] = "83.19.22.170";
ProxyB[246] = "83.14.223.198";
ProxyB[247] = "82.210.146.162";
ProxyB[248] = "196.12.12.119";
ProxyB[249] = "200.50.2.114";
ProxyB[250] = "208.234.37.52";
ProxyB[251] = "200.50.21.55";
ProxyB[252] = "196.28.48.98";
ProxyB[253] = "200.50.21.5";
ProxyB[254] = "136.145.244.20";
ProxyB[255] = "196.28.48.100";
ProxyB[256] = "66.178.17.146";
ProxyB[257] = "194.65.138.109";
ProxyB[258] = "82.155.48.61";
ProxyB[259] = "82.155.54.241";
ProxyB[260] = "82.155.58.143";
ProxyB[261] = "194.210.29.65";
ProxyB[262] = "193.136.215.116";
ProxyB[263] = "193.137.239.115";
ProxyB[264] = "193.136.27.135";
ProxyB[265] = "62.48.219.164";
ProxyB[266] = "193.136.62.31";
ProxyB[267] = "202.124.226.";
ProxyB[268] = "202.124.224.100";
ProxyB[279] = "200.85.44.26";
ProxyB[270] = "200.85.42.22";
ProxyB[271] = "212.77.215.21";
ProxyB[272] = "212.77.192.61";
ProxyB[273] = "212.77.218.84";
ProxyB[274] = "212.77.216.102";
ProxyB[275] = "82.148.112.184";
ProxyB[276] = "82.148.115.201";
ProxyB[277] = "193.231.17.37";
ProxyB[278] = "193.226.12.98";
ProxyB[279] = "193.226.167.221";
ProxyB[280] = "193.230.176.186";
ProxyB[281] = "81.196.221.208";
ProxyB[282] = "81.180.136.20";
ProxyB[283] = "82.77.114.149";
ProxyB[284] = "80.97.12.51";
ProxyB[285] = "81.180.246.79";
ProxyB[286] = "194.149.64.5";
ProxyB[287] = "217.174.98.198";
ProxyB[288] = "195.131.165.203";
ProxyB[289] = "193.201.118.250";
ProxyB[290] = "82.140.85.98";
ProxyB[291] = "212.192.243.202";
ProxyB[292] = "62.165.34.253";
ProxyB[293] = "217.23.181.10";
ProxyB[294] = "195.182.140.222";
ProxyB[295] = "193.232.125.4";
ProxyB[296] = "212.12.181.178";
ProxyB[297] = "212.93.202.218";
ProxyB[298] = "62.3.12.255";
ProxyB[299] = "213.210.220.251";
ProxyB[300] = "212.93.204.178";
ProxyB[301] = "213.184.163.134";
ProxyB[302] = "213.184.167.146";
ProxyB[303] = "212.12.181.170";
ProxyB[304] = "193.19.190.92";
ProxyB[305] = "213.210.220.246";
ProxyB[306] = "212.0.145.170";
ProxyB[307] = "212.0.147.2";
ProxyB[308] = "212.0.140.126";
ProxyB[309] = "212.0.143.76";
ProxyB[310] = "212.0.146.49";
ProxyB[311] = "212.0.132.122";
ProxyB[312] = "212.0.143.72";
ProxyB[313] = "212.0.145.119";
ProxyB[314] = "212.0.143.73";
ProxyB[315] = "212.0.145.24";
ProxyB[316] = "217.209.146.49";
ProxyB[317] = "192.165.73.55";
ProxyB[318] = "81.225.112.78";
ProxyB[319] = "213.226.66.225";
ProxyB[320] = "192.121.232.27";
ProxyB[321] = "213.114.239.219";
ProxyB[322] = "213.204.153.45";
ProxyB[323] = "194.71.244.89";
ProxyB[324] = "193.183.81.248";
ProxyB[325] = "193.235.86.26";
ProxyB[326] = "203.169.119.178";
ProxyB[327] = "203.211.140.156";
ProxyB[328] = "213.250.24.140";
ProxyB[329] = "212.18.38.36";
ProxyB[330] = "195.190.158.2";
ProxyB[331] = "194.249.197.3";
ProxyB[332] = "213.157.236.62";
ProxyB[333] = "193.77.155.231";
ProxyB[334] = "193.77.86.129";
ProxyB[335] = "193.77.102.205";
ProxyB[336] = "212.103.133.3";
ProxyB[337] = "193.87.174.99";
ProxyB[338] = "217.172.148.189";
ProxyB[339] = "81.0.223.29";
ProxyB[340] = "147.175.8.8";
ProxyB[341] = "194.160.198.4";
ProxyB[342] = "213.160.171.3";
ProxyB[343] = "212.5.196.136";
ProxyB[344] = "195.28.96.119";
ProxyB[345] = "193.87.12.56";
ProxyB[346] = "62.168.73.109";
ProxyB[347] = "207.50.235.212";
ProxyB[348] = "207.50.228.203";
ProxyB[349] = "193.220.51.5";
ProxyB[350] = "195.8.8.1";
ProxyB[351] = "168.243.69.98";
ProxyB[352] = "209.124.126.233";
ProxyB[353] = "168.243.70.211";
ProxyB[354] = "168.243.89.18";
ProxyB[355] = "168.243.216.35";
ProxyB[356] = "168.243.91.1";
ProxyB[357] = "200.13.168.132";
ProxyB[358] = "200.13.188.18";
ProxyB[359] = "200.12.232.18";
ProxyB[360] = "168.243.2.249";
ProxyB[361] = "82.137.247.131";
ProxyB[362] = "213.178.244.139";
ProxyB[363] = "213.178.252.148";
ProxyB[364] = "213.178.252.153";
ProxyB[365] = "82.137.247.13";
ProxyB[366] = "69.63.74.2";
ProxyB[367] = "193.251.147.244";
ProxyB[368] = "80.248.72.82";
ProxyB[379] = "62.56.190.67";
ProxyB[370] = "80.248.71.92";
ProxyB[371] = "62.56.190.218";
ProxyB[372] = "80.248.72.82";
ProxyB[373] = "203.121.182.131";
ProxyB[374] = "203.144.144.163";
ProxyB[375] = "202.143.138.2";
ProxyB[376] = "61.19.46.188";
ProxyB[377] = "203.150.1.150";
ProxyB[378] = "203.144.144.163";
ProxyB[379] = "203.150.1.153";
ProxyB[380] = "203.157.116.14";
ProxyB[381] = "202.29.87.103";
ProxyB[382] = "213.150.166.14";
ProxyB[383] = "193.95.79.60";
ProxyB[384] = "196.203.63.246";
ProxyB[385] = "193.95.27.3";
ProxyB[386] = "193.95.101.132";
ProxyB[387] = "193.95.100.166";
ProxyB[388] = "196.203.26.30";
ProxyB[389] = "196.203.2.122";
ProxyB[390] = "193.95.27.2";
ProxyB[391] = "193.95.112.110";
ProxyB[392] = "195.87.102.7";
ProxyB[393] = "212.175.184.6";
ProxyB[394] = "212.146.133.136";
ProxyB[395] = "62.248.57.1";
ProxyB[396] = "195.175.37.71";
ProxyB[397] = "195.175.37.8";
ProxyB[398] = "195.254.148.85";
ProxyB[399] = "213.139.216.35";
ProxyB[400] = "209.94.203.253";
ProxyB[401] = "210.243.157.250";
ProxyB[402] = "192.192.14.60";
ProxyB[403] = "163.17.183.1";
ProxyB[404] = "140.115.117.6";
ProxyB[405] = "61.219.126.54";
ProxyB[406] = "202.132.97.1";
ProxyB[407] = "163.27.147.1";
ProxyB[408] = "211.74.198.37";
ProxyB[409] = "203.187.4.2";
ProxyB[410] = "202.39.6.27";
ProxyB[411] = "212.165.142.9";
ProxyB[412] = "63.109.249.89";
ProxyB[413] = "195.229.8.164";
ProxyB[414] = "195.229.8.35";
ProxyB[415] = "195.229.8.217";
ProxyB[416] = "212.165.142.6";
ProxyB[417] = "80.247.131.3";
ProxyB[418] = "212.165.142.178";
ProxyB[419] = "80.247.131.2";
ProxyB[420] = "80.247.131.70";
ProxyB[421] = "195.184.212.61";
ProxyB[422] = "82.207.44.14";
ProxyB[423] = "212.90.125.53";
ProxyB[424] = "62.244.22.106";
ProxyB[425] = "212.9.253.242";
ProxyB[426] = "81.25.229.243";
ProxyB[427] = "217.194.136.235";
ProxyB[428] = "82.207.109.73";
ProxyB[429] = "193.201.218.138";
ProxyB[430] = "207.62.217.252";
ProxyB[431] = "68.199.83.207";
ProxyB[432] = "66.167.100.59";
ProxyB[433] = "206.64.92.16";
ProxyB[434] = "204.131.46.200";
ProxyB[435] = "216.49.160.27";
ProxyB[436] = "65.65.219.98";
ProxyB[437] = "213.185.116.218";
ProxyB[438] = "209.12.83.5";
ProxyB[439] = "216.114.194.18";
ProxyB[440] = "201.57.18.2";
ProxyB[441] = "201.72.179.3";
ProxyB[442] = "201.18.74.46";
ProxyB[443] = "201.24.32.107";
ProxyB[444] = "201.44.224.2";
ProxyB[445] = "201.18.137.114";
ProxyB[446] = "201.253.123.67";
ProxyB[447] = "201.22.6.158";
ProxyB[448] = "201.34.32.44";
ProxyB[449] = "213.206.49.3";
ProxyB[450] = "195.69.189.114";
ProxyB[451] = "217.29.116.254";
ProxyB[452] = "200.44.159.106";
ProxyB[453] = "200.109.175.21";
ProxyB[454] = "200.31.135.105";
ProxyB[455] = "200.41.117.91";
ProxyB[456] = "200.62.25.82";
ProxyB[457] = "200.84.84.172";
ProxyB[458] = "200.109.169.183";
ProxyB[459] = "200.109.12.48";
ProxyB[460] = "200.93.63.19";
ProxyB[461] = "200.44.158.242";
ProxyB[462] = "146.226.2.86";
ProxyB[463] = "203.160.1.";
ProxyB[464] = "202.80.47.125";
ProxyB[465] = "203.162.100.30";
ProxyB[466] = "203.113.148.13";
ProxyB[467] = "203.162.115.116";
ProxyB[468] = "63.173.172.2";
ProxyB[479] = "82.114.160.35";
ProxyB[470] = "195.94.3.";
ProxyB[471] = "195.94.4.";
ProxyB[472] = "217.194.133.10";
ProxyB[473] = "212.200.145.117";
ProxyB[474] = "212.200.197.21";
ProxyB[475] = "80.93.236.44";
ProxyB[476] = "212.200.126.3";
ProxyB[477] = "80.80.173.202";
ProxyB[478] = "212.62.54.114";
ProxyB[479] = "80.80.169.163";
ProxyB[480] = "196.36.169.60";
ProxyB[481] = "196.23.145.229";
ProxyB[482] = "196.36.10.250";
ProxyB[483] = "168.209.0.10";
ProxyB[484] = "196.34.133.63";
ProxyB[485] = "168.209.0.";
ProxyB[486] = "196.201.20.220";
ProxyB[487] = "196.15.161.193";
ProxyB[488] = "196.201.21.106";
ProxyB[489] = "209.88.91.211";
ProxyB[490] = "193.220.44.250";
ProxyB[491] = "196.2.64.8";
ProxyB[492] = "193.220.33.3";
ProxyB[493] = "196.201.21.29";
ProxyB[494] = "193.220.33.242";
ProxyB[495] = "193.220.33.114";
ProxyB[496] = "196.2.73.253";
ProxyB[497] = "safework.net";
ProxyB[498] = "pimpmyip.org";
ProxyB[499] = "getaroundfilters.info";
//---------------------------------------------------------------------------------------------------------------
ProxyC[0] = "tunnel.com";
ProxyC[1] = "unblock-bess.com";
ProxyC[2] = "unblockbess.com";
ProxyC[3] = "apliterature.info";
ProxyC[4] = "youtubeunblock.com";
ProxyC[5] = "radius.ws";
ProxyC[6] = "sneakzorz.com";
ProxyC[7] = "graph.ws";
ProxyC[8] = "8e6.com";
ProxyC[9] = "getaroundblock.com";
ProxyC[10] = "imsly.com";
ProxyC[11] = "avoidfiltering.com";
ProxyC[12] = "unblockyoutube.ws";
ProxyC[13] = "overrideblock.com";
ProxyC[14] = "websense.com";
ProxyC[15] = "slope.ws";
ProxyC[16] = "getaroundfilter.info";
ProxyC[17] = "avoidfilters.info";
ProxyC[18] = "apchemistry.info";
ProxyC[19] = "slyuser.com";
ProxyC[20] = "surfcontrolbypass.com";
ProxyC[21] = "unblockyoutube.org";
ProxyC[22] = "bypassingfilters.com";
ProxyC[23] = "beatfilters.com";
ProxyC[24] = "freetoview.net";
ProxyC[25] = "myprxy.com";
ProxyC[26] = "apbiology.info";
ProxyC[27] = "circumventer.info";
ProxyC[28] = "apenglish.info";
ProxyC[29] = "circumventors.info";
ProxyC[30] = "websenceavoid.com";
ProxyC[31] = "beatfiltering.com";
ProxyC[32] = "polysolve.com";
ProxyC[33] = "hidemybox.com";
ProxyC[34] = "apcalculus.info";
ProxyC[35] = "breakprox.com";
ProxyC[36] = "unblockyoutube.tv";
ProxyC[37] = "linear.ws";
ProxyC[38] = "factorial.ws";
ProxyC[39] = "bess.com";
ProxyC[40] = "tunnel.net";
ProxyC[41] = "tunnel.info";
ProxyC[42] = "safeforwork.net";
ProxyC[43] = "vmathpie.com";
ProxyC[44] = "backfox.com";
ProxyC[45] = "SafeHazard.com";
ProxyC[46] = "safelizard.com";
ProxyC[47] = "newbackdoor.com";
ProxyC[48] = "calculatepie.com";
ProxyC[49] = "drpruxy.net";
ProxyC[50] = "drpxy.net";
ProxyC[51] = "pimpmyip.com";
ProxyC[52] = "anonyninja.com";
ProxyC[53] = "ninjacover.com";
ProxyC[54] = "samuraistealth.com";
ProxyC[55] = "sneakzorz.com";
ProxyC[56] = "24traffic.info";
ProxyC[57] = "freeiam.info";
ProxyC[58] = "myspace.com";
ProxyC[59] = "logonhelp.org";
ProxyC[60] = "weprox.";
ProxyC[61] = "surfonschool.com";
ProxyC[62] = "anonysite.info";
ProxyC[63] = "proxite.us";
ProxyC[64] = "neverstopus.info";
ProxyC[65] = "space-host.info";
ProxyC[66] = "surfyourschool.com";
ProxyC[67] = "unblocker.biz";
ProxyC[68] = "flymetoawebsite.info";
ProxyC[79] = "123-way.co.cc";
ProxyC[70] = "freehunt.us";
ProxyC[71] = "alexswhateversite.info";
ProxyC[72] = "ultrahider.info";
ProxyC[73] = "seatcrane.com";
ProxyC[74] = "no3s.info";
ProxyC[75] = "securedsurf.info";
ProxyC[76] = "faced.co.za";
ProxyC[77] = "bypassconnect.info";
ProxyC[78] = "myfreeaccess.info";
ProxyC[79] = "vezg.com";
ProxyC[80] = "hammer-time.info";
ProxyC[81] = "filesbusiness.info";
ProxyC[82] = "hidemypath.info";
ProxyC[83] = "erimi.co.cc";
ProxyC[84] = "cupah.com";
ProxyC[85] = "passed.co.za";
ProxyC[86] = "unlockmyurl.com";
ProxyC[87] = "schoolbuster.com";
ProxyC[88] = "red-way.co.cc";
ProxyC[89] = "idarkgate.pl";
ProxyC[90] = "underpassing.com";
ProxyC[91] = "bypassallonline.info";
ProxyC[92] = "area-53.co.cc";
ProxyC[93] = "gotoyoutube.net";
ProxyC[94] = "unblock-fb.info";
ProxyC[95] = "onlineslotsrules.info";
ProxyC[96] = "itago.us";
ProxyC[97] = "hideipfree.com";
ProxyC[98] = "spygadgetsite.com";
ProxyC[99] = "moviereleasing.com";
ProxyC[100] = "liberatethenet.com";
ProxyC[101] = "topbits.us";
ProxyC[102] = "sevencardstudguide.info";
ProxyC[103] = "newhostingads.info";
ProxyC[104] = "banonymo.us";
ProxyC[105] = "iphider.org";
ProxyC[106] = "warez-download.pl";
ProxyC[107] = "autogethide.info";
ProxyC[108] = "freemenet.com";
ProxyC[109] = "unblocksocial.info";
ProxyC[110] = "whitesurf";
ProxyC[111] = "freefacebooknow.info";
ProxyC[112] = "dutchproxy.nl";
ProxyC[113] = "goldering.com";
ProxyC[114] = "aftertoday.net";
ProxyC[115] = "thruthewall.net";
ProxyC[116] = "kidsmedcentral.com";
ProxyC[117] = "howtogetgoodatpoker.info";
ProxyC[118] = "surfzulu.com";
ProxyC[119] = "unblock-yt.com";
ProxyC[120] = "unblockfaster.info";
ProxyC[121] = "workbypass.info";
ProxyC[122] = "asskick.info";
ProxyC[123] = "byefilter.info";
ProxyC[124] = "hidemyroot.info";
ProxyC[125] = "facebookaccesssite.info";
ProxyC[126] = "nanoprox.info";
ProxyC[127] = "proxiwebsurf.info";
ProxyC[128] = "hidebrowsing.com";
ProxyC[129] = "surfprox.info";
ProxyC[130] = "morningschool.co.cc";
ProxyC[131] = "at-me.co.cc";
ProxyC[132] = "howtoplayonlineblackjack.info";
ProxyC[133] = "auto-car-quotes.com";
ProxyC[134] = "planetunblocker.com";
ProxyC[135] = "helora.com";
ProxyC[136] = "linkdetour.net";
ProxyC[137] = "hidefrom.com";
ProxyC[138] = "pr0xy";
ProxyC[139] = "anonymita.com";
ProxyC[140] = "pr0x1";
ProxyC[141] = "unhide.in";
ProxyC[142] = "proxi";
ProxyC[143] = "unhide.in";
ProxyC[144] = "uroxy.com";
ProxyC[145] = "hide-my.com";
ProxyC[146] = "herebusiness.info";
ProxyC[147] = "gounblocksite.info";
ProxyC[148] = "mancos.de";
ProxyC[149] = "ningnangnong.info";
ProxyC[150] = "openbypass.info";
ProxyC[151] = "hiperbusiness.info";
ProxyC[152] = "unblockfile.info";
ProxyC[153] = "unblok.info";
ProxyC[154] = "hells.pl";
ProxyC[155] = "unblocksource.info";
ProxyC[156] = "hiddensurffreely.com";
ProxyC[157] = "secretaccess.org";
ProxyC[158] = "shieldsurf.info";
ProxyC[159] = "4free.eldzo.com";
ProxyC[160] = "unblock";
ProxyC[161] = "bluepiranha.info";
ProxyC[162] = "bypassallsite.info";
ProxyC[163] = "iphide.pl";
ProxyC[164] = "57456345.info";
ProxyC[165] = "white-way.co.cc";
ProxyC[166] = "substitude.com";
ProxyC[167] = "123data.net";
ProxyC[168] = "bypass";
ProxyC[179] = "jailbreak";
ProxyC[170] = "habbic.info";
ProxyC[171] = "ithru.co.uk";
ProxyC[172] = "9r4.net";
ProxyC[173] = "pinepass.info";
ProxyC[174] = "games-boy.info";
ProxyC[175] = "hintmybusiness.info";
ProxyC[176] = "azgalor.co.cc";
ProxyC[177] = "privacycore.info";
ProxyC[178] = "proxmedia.info";
ProxyC[179] = "freeunlocker.info";
ProxyC[180] = "uethelp.us";
ProxyC[181] = "myaccessall.info";
ProxyC[182] = "specialnow.info";
ProxyC[183] = "zhongguo.se";
ProxyC[184] = "hiddengate.info";
ProxyC[185] = "hidethebrowser.com";
ProxyC[186] = "facethefax.co.cc";
ProxyC[187] = "revisescience.info";
ProxyC[188] = "snapbrowse.com";
ProxyC[189] = "2fastsurfer.com";
ProxyC[190] = "w7tech.info";
ProxyC[191] = "ubuntu-way.co.cc";
ProxyC[192] = "litelium.com";
ProxyC[193] = "faxxo.org";
ProxyC[194] = "hide2010.com";
ProxyC[195] = "jolteonbusiness.info";
ProxyC[196] = "hideip";
ProxyC[197] = "anonymous";
ProxyC[198] = "200.152.67.70";
ProxyC[199] = "219.135.215.37";
ProxyC[200] = "201.90.74.2";
ProxyC[201] = "216.185.4.200";
ProxyC[202] = "66.248.151.179";
ProxyC[203] = "74.88.190.55";
ProxyC[204] = "200.149.134.189";
ProxyC[205] = "200.148.28.92";
ProxyC[206] = "216.18.21.190";
ProxyC[207] = "76.73.18.108";
ProxyC[208] = "212.108.220.158";
ProxyC[209] = "200.195.156.158";
ProxyC[210] = "189.26.122.42";
ProxyC[211] = "187.58.130.59";
ProxyC[212] = "200.37.63.11";
ProxyC[213] = "89.79.204.75";
ProxyC[214] = "41.221.228.22";
ProxyC[215] = "200.217.220.182";
ProxyC[216] = "186.201.109.182";
ProxyC[217] = "213.174.44.136";
ProxyC[218] = "111.1.32.149";
ProxyC[219] = "58.196.146.22";
ProxyC[220] = "97.85.187.54";
ProxyC[221] = "61.190.173.9";
ProxyC[222] = "174.129.133.21";
ProxyC[223] = "216.14.121.104";
ProxyC[224] = "72.44.82.43";
ProxyC[225] = "201.22.130.66";
ProxyC[226] = "187.58.65.76";
ProxyC[227] = "189.11.11.250";
ProxyC[228] = "184.72.9.242";
ProxyC[229] = "190.94.40.147";
ProxyC[230] = "69.125.231.157";
ProxyC[231] = "200.17.56.7";
ProxyC[232] = "200.159.102.171";
ProxyC[233] = "187.51.48.103";
ProxyC[234] = "212.160.93.101";
ProxyC[235] = "187.59.87.82";
ProxyC[236] = "195.252.114.140";
ProxyC[237] = "61.56.71.218";
ProxyC[238] = "61.89.162.88";
ProxyC[239] = "202.28.66.115";
ProxyC[240] = "121.177.24.119";
ProxyC[241] = "218.253.231.150";
ProxyC[242] = "182.23.15.150";
ProxyC[243] = "24.22.126.50";
ProxyC[244] = "189.111.116.175";
ProxyC[245] = "66.197.164.213";
ProxyC[246] = "66.151.103.8";
ProxyC[247] = "99.235.68.92";
ProxyC[248] = "142.78.200.78";
ProxyC[249] = "190.254.20.42";
ProxyC[250] = "184.82.19.34";
ProxyC[251] = "200.150.70.170";
ProxyC[252] = "190.144.136.242";
ProxyC[253] = "188.95.185.62";
ProxyC[254] = "189.11.11.250";
//beta4 begin
ProxyC[255] = "173.0.6.203";
ProxyC[256] = "cyberghostvpn.com";
ProxyC[257] = "sysq.hu";
ProxyC[258] = "ripthrough.com";
ProxyC[259] = "anonymus.us";
ProxyC[260] = "thatisbusiness.info";
ProxyC[261] = "spinmyip.info";
ProxyC[262] = "run-wild.info";
ProxyC[263] = "ripby.info";
ProxyC[264] = "gardeningsecrets.info";
ProxyC[265] = "addmenow.info";
ProxyC[266] = "connectmode.info";
ProxyC[267] = "surfknot.info";
ProxyC[268] = "anonymous";
ProxyC[279] = "shieldsite.info";
ProxyC[270] = "rushtoday.info";
ProxyC[271] = "previewsurf.info";
ProxyC[272] = "farmvillebuy.info";
ProxyC[273] = "blazefall.info";
ProxyC[274] = "adminsucks.com";
ProxyC[275] = "streetraceads.com";
ProxyC[276] = "none-ip.info";
ProxyC[277] = "fastfreesurf.com";
ProxyC[278] = "rapidsurf.info";
ProxyC[279] = "ir2.me";
ProxyC[280] = "goflyakite";
ProxyC[281] = "buwk.com";
ProxyC[282] = "iknownothing.org";
ProxyC[283] = "hillofbeans.biz";
ProxyC[284] = "sneaky9.com";
ProxyC[285] = "passmethru.com";
ProxyC[286] = "sigmabrowse.com";
ProxyC[287] = "goaheadmakemyday.org";
ProxyC[288] = "ihaveacunningplan.info";
ProxyC[289] = "anbrowser.com";
ProxyC[290] = "gutsandglory.info";
ProxyC[291] = "hotashell.biz";
ProxyC[292] = "browser.com";
ProxyC[293] = "hellinahandbasket.info";
ProxyC[294] = "goodnightandgoodluck.info";
ProxyC[295] = "hellorhighwater.info";
ProxyC[296] = "oclearningteam.com";
ProxyC[297] = "passmytests.com";
ProxyC[298] = "letsleepingdogslie.info";
ProxyC[299] = "pinkpooper.info";
ProxyC[300] = "pepepe.info";
ProxyC[301] = "thatisbusiness.info";
//Beta5 begin
ProxyC[302] = "173.0.6.2";
ProxyC[303] = "";
ProxyC[304] = "";
ProxyC[305] = "";
ProxyC[306] = "";
ProxyC[307] = "";
ProxyC[308] = "";
ProxyC[309] = "";
ProxyC[310] = "";
ProxyC[311] = "";
ProxyC[312] = "";
ProxyC[313] = "";
ProxyC[314] = "";
ProxyC[315] = "";
ProxyC[316] = "";
ProxyC[317] = "";
ProxyC[318] = "";
ProxyC[319] = "";
ProxyC[320] = "";
ProxyC[321] = "";
ProxyC[322] = "";
ProxyC[323] = "";
ProxyC[324] = "";
ProxyC[325] = "";
ProxyC[326] = "";
ProxyC[327] = "";
ProxyC[328] = "";
ProxyC[329] = "";
ProxyC[330] = "";
ProxyC[331] = "";
ProxyC[332] = "";
ProxyC[333] = "";
ProxyC[334] = "";
ProxyC[335] = "";
ProxyC[336] = "";
ProxyC[337] = "";
ProxyC[338] = "";
ProxyC[339] = "";
ProxyC[340] = "";
ProxyC[341] = "";
ProxyC[342] = "";
ProxyC[343] = "";
ProxyC[344] = "";
ProxyC[345] = "";
ProxyC[346] = "";
ProxyC[347] = "";
ProxyC[348] = "";
ProxyC[349] = "";
ProxyC[350] = "";
ProxyC[351] = "";
ProxyC[352] = "";
ProxyC[353] = "";
ProxyC[354] = "";
ProxyC[355] = "";
ProxyC[356] = "";
ProxyC[357] = "";
ProxyC[358] = "";
ProxyC[359] = "";
ProxyC[360] = "";
ProxyC[361] = "";
ProxyC[362] = "";
ProxyC[363] = "";
ProxyC[364] = "";
ProxyC[365] = "";
ProxyC[366] = "";
ProxyC[367] = "";
ProxyC[368] = "";
ProxyC[379] = "";
ProxyC[370] = "";
ProxyC[371] = "";
ProxyC[372] = "";
ProxyC[373] = "";
ProxyC[374] = "";
ProxyC[375] = "";
ProxyC[376] = "";
ProxyC[377] = "";
ProxyC[378] = "";
ProxyC[379] = "";
ProxyC[380] = "";
ProxyC[381] = "";
ProxyC[382] = "";
ProxyC[383] = "";
ProxyC[384] = "";
ProxyC[385] = "";
ProxyC[386] = "";
ProxyC[387] = "";
ProxyC[388] = "";
ProxyC[389] = "";
ProxyC[390] = "";
ProxyC[391] = "";
ProxyC[392] = "";
ProxyC[393] = "";
ProxyC[394] = "";
ProxyC[395] = "";
ProxyC[396] = "";
ProxyC[397] = "";
ProxyC[398] = "";
ProxyC[399] = "";
ProxyC[400] = "";
ProxyC[401] = "";
ProxyC[402] = "";
ProxyC[403] = "";
ProxyC[404] = "";
ProxyC[405] = "";
ProxyC[406] = "";
ProxyC[407] = "";
ProxyC[408] = "";
ProxyC[409] = "";
ProxyC[410] = "";
ProxyC[411] = "";
ProxyC[412] = "";
ProxyC[413] = "";
ProxyC[414] = "";
ProxyC[415] = "";
ProxyC[416] = "";
ProxyC[417] = "";
ProxyC[418] = "";
ProxyC[419] = "";
ProxyC[420] = "";
ProxyC[421] = "";
ProxyC[422] = "";
ProxyC[423] = "";
ProxyC[424] = "";
ProxyC[425] = "";
ProxyC[426] = "";
ProxyC[427] = "";
ProxyC[428] = "";
ProxyC[429] = "";
ProxyC[430] = "";
ProxyC[431] = "";
ProxyC[432] = "";
ProxyC[433] = "";
ProxyC[434] = "";
ProxyC[435] = "";
ProxyC[436] = "";
ProxyC[437] = "";
ProxyC[438] = "";
ProxyC[439] = "";
ProxyC[440] = "";
ProxyC[441] = "";
ProxyC[442] = "";
ProxyC[443] = "";
ProxyC[444] = "";
ProxyC[445] = "";
ProxyC[446] = "";
ProxyC[447] = "";
ProxyC[448] = "";
ProxyC[449] = "";
ProxyC[450] = "";
ProxyC[451] = "";
ProxyC[452] = "";
ProxyC[453] = "";
ProxyC[454] = "";
ProxyC[455] = "";
ProxyC[456] = "";
ProxyC[457] = "";
ProxyC[458] = "";
ProxyC[459] = "";
ProxyC[460] = "";
ProxyC[461] = "";
ProxyC[462] = "";
ProxyC[463] = "";
ProxyC[464] = "";
ProxyC[465] = "";
ProxyC[466] = "";
ProxyC[467] = "";
ProxyC[468] = "";
ProxyC[479] = "";
ProxyC[470] = "";
ProxyC[471] = "";
ProxyC[472] = "";
ProxyC[473] = "";
ProxyC[474] = "";
ProxyC[475] = "";
ProxyC[476] = "";
ProxyC[477] = "";
ProxyC[478] = "";
ProxyC[479] = "";
ProxyC[480] = "";
ProxyC[481] = "";
ProxyC[482] = "";
ProxyC[483] = "";
ProxyC[484] = "";
ProxyC[485] = "";
ProxyC[486] = "";
ProxyC[487] = "";
ProxyC[488] = "";
ProxyC[489] = "";
ProxyC[490] = "";
ProxyC[491] = "";
ProxyC[492] = "";
ProxyC[493] = "";
ProxyC[494] = "";
ProxyC[495] = "";
ProxyC[496] = "";
ProxyC[497] = "";
ProxyC[498] = "";
ProxyC[499] = "";
//---------------------------------------------------------------------------------------------------------------
ProxyD[0] = "";
ProxyD[1] = "";
ProxyD[2] = "";
ProxyD[3] = "";
ProxyD[4] = "";
ProxyD[5] = "";
ProxyD[6] = "";
ProxyD[7] = "";
ProxyD[8] = "";
ProxyD[9] = "";
ProxyD[10] = "";
ProxyD[11] = "";
ProxyD[12] = "";
ProxyD[13] = "";
ProxyD[14] = "";
ProxyD[15] = "";
ProxyD[16] = "";
ProxyD[17] = "";
ProxyD[18] = "";
ProxyD[19] = "";
ProxyD[20] = "";
ProxyD[21] = "";
ProxyD[22] = "";
ProxyD[23] = "";
ProxyD[24] = "";
ProxyD[25] = "";
ProxyD[26] = "";
ProxyD[27] = "";
ProxyD[28] = "";
ProxyD[29] = "";
ProxyD[30] = "";
ProxyD[31] = "";
ProxyD[32] = "";
ProxyD[33] = "";
ProxyD[34] = "";
ProxyD[35] = "";
ProxyD[36] = "";
ProxyD[37] = "";
ProxyD[38] = "";
ProxyD[39] = "";
ProxyD[40] = "";
ProxyD[41] = "";
ProxyD[42] = "";
ProxyD[43] = "";
ProxyD[44] = "";
ProxyD[45] = "";
ProxyD[46] = "";
ProxyD[47] = "";
ProxyD[48] = "";
ProxyD[49] = "";
ProxyD[50] = "";
ProxyD[51] = "";
ProxyD[52] = "";
ProxyD[53] = "";
ProxyD[54] = "";
ProxyD[55] = "";
ProxyD[56] = "";
ProxyD[57] = "";
ProxyD[58] = "";
ProxyD[59] = "";
ProxyD[60] = "";
ProxyD[61] = "";
ProxyD[62] = "";
ProxyD[63] = "";
ProxyD[64] = "";
ProxyD[65] = "";
ProxyD[66] = "";
ProxyD[67] = "";
ProxyD[68] = "";
ProxyD[79] = "";
ProxyD[70] = "";
ProxyD[71] = "";
ProxyD[72] = "";
ProxyD[73] = "";
ProxyD[74] = "";
ProxyD[75] = "";
ProxyD[76] = "";
ProxyD[77] = "";
ProxyD[78] = "";
ProxyD[79] = "";
ProxyD[80] = "";
ProxyD[81] = "";
ProxyD[82] = "";
ProxyD[83] = "";
ProxyD[84] = "";
ProxyD[85] = "";
ProxyD[86] = "";
ProxyD[87] = "";
ProxyD[88] = "";
ProxyD[89] = "";
ProxyD[90] = "";
ProxyD[91] = "";
ProxyD[92] = "";
ProxyD[93] = "";
ProxyD[94] = "";
ProxyD[95] = "";
ProxyD[96] = "";
ProxyD[97] = "";
ProxyD[98] = "";
ProxyD[99] = "";
ProxyD[100] = "";
ProxyD[101] = "";
ProxyD[102] = "";
ProxyD[103] = "";
ProxyD[104] = "";
ProxyD[105] = "";
ProxyD[106] = "";
ProxyD[107] = "";
ProxyD[108] = "";
ProxyD[109] = "";
ProxyD[110] = "";
ProxyD[111] = "";
ProxyD[112] = "";
ProxyD[113] = "";
ProxyD[114] = "";
ProxyD[115] = "";
ProxyD[116] = "";
ProxyD[117] = "";
ProxyD[118] = "";
ProxyD[119] = "";
ProxyD[120] = "";
ProxyD[121] = "";
ProxyD[122] = "";
ProxyD[123] = "";
ProxyD[124] = "";
ProxyD[125] = "";
ProxyD[126] = "";
ProxyD[127] = "";
ProxyD[128] = "";
ProxyD[129] = "";
ProxyD[130] = "";
ProxyD[131] = "";
ProxyD[132] = "";
ProxyD[133] = "";
ProxyD[134] = "";
ProxyD[135] = "";
ProxyD[136] = "";
ProxyD[137] = "";
ProxyD[138] = "";
ProxyD[139] = "";
ProxyD[140] = "";
ProxyD[141] = "";
ProxyD[142] = "";
ProxyD[143] = "";
ProxyD[144] = "";
ProxyD[145] = "";
ProxyD[146] = "";
ProxyD[147] = "";
ProxyD[148] = "";
ProxyD[149] = "";
ProxyD[150] = "";
ProxyD[151] = "";
ProxyD[152] = "";
ProxyD[153] = "";
ProxyD[154] = "";
ProxyD[155] = "";
ProxyD[156] = "";
ProxyD[157] = "";
ProxyD[158] = "";
ProxyD[159] = "";
ProxyD[160] = "";
ProxyD[161] = "";
ProxyD[162] = "";
ProxyD[163] = "";
ProxyD[164] = "";
ProxyD[165] = "";
ProxyD[166] = "";
ProxyD[167] = "";
ProxyD[168] = "";
ProxyD[179] = "";
ProxyD[170] = "";
ProxyD[171] = "";
ProxyD[172] = "";
ProxyD[173] = "";
ProxyD[174] = "";
ProxyD[175] = "";
ProxyD[176] = "";
ProxyD[177] = "";
ProxyD[178] = "";
ProxyD[179] = "";
ProxyD[180] = "";
ProxyD[181] = "";
ProxyD[182] = "";
ProxyD[183] = "";
ProxyD[184] = "";
ProxyD[185] = "";
ProxyD[186] = "";
ProxyD[187] = "";
ProxyD[188] = "";
ProxyD[189] = "";
ProxyD[190] = "";
ProxyD[191] = "";
ProxyD[192] = "";
ProxyD[193] = "";
ProxyD[194] = "";
ProxyD[195] = "";
ProxyD[196] = "";
ProxyD[197] = "";
ProxyD[198] = "";
ProxyD[199] = "";
ProxyD[200] = "";
ProxyD[201] = "";
ProxyD[202] = "";
ProxyD[203] = "";
ProxyD[204] = "";
ProxyD[205] = "";
ProxyD[206] = "";
ProxyD[207] = "";
ProxyD[208] = "";
ProxyD[209] = "";
ProxyD[210] = "";
ProxyD[211] = "";
ProxyD[212] = "";
ProxyD[213] = "";
ProxyD[214] = "";
ProxyD[215] = "";
ProxyD[216] = "";
ProxyD[217] = "";
ProxyD[218] = "";
ProxyD[219] = "";
ProxyD[220] = "";
ProxyD[221] = "";
ProxyD[222] = "";
ProxyD[223] = "";
ProxyD[224] = "";
ProxyD[225] = "";
ProxyD[226] = "";
ProxyD[227] = "";
ProxyD[228] = "";
ProxyD[229] = "";
ProxyD[230] = "";
ProxyD[231] = "";
ProxyD[232] = "";
ProxyD[233] = "";
ProxyD[234] = "";
ProxyD[235] = "";
ProxyD[236] = "";
ProxyD[237] = "";
ProxyD[238] = "";
ProxyD[239] = "";
ProxyD[240] = "";
ProxyD[241] = "";
ProxyD[242] = "";
ProxyD[243] = "";
ProxyD[244] = "";
ProxyD[245] = "";
ProxyD[246] = "";
ProxyD[247] = "";
ProxyD[248] = "";
ProxyD[249] = "";
ProxyD[250] = "";
ProxyD[251] = "";
ProxyD[252] = "";
ProxyD[253] = "";
ProxyD[254] = "";
ProxyD[255] = "";
ProxyD[256] = "";
ProxyD[257] = "";
ProxyD[258] = "";
ProxyD[259] = "";
ProxyD[260] = "";
ProxyD[261] = "";
ProxyD[262] = "";
ProxyD[263] = "";
ProxyD[264] = "";
ProxyD[265] = "";
ProxyD[266] = "";
ProxyD[267] = "";
ProxyD[268] = "";
ProxyD[279] = "";
ProxyD[270] = "";
ProxyD[271] = "";
ProxyD[272] = "";
ProxyD[273] = "";
ProxyD[274] = "";
ProxyD[275] = "";
ProxyD[276] = "";
ProxyD[277] = "";
ProxyD[278] = "";
ProxyD[279] = "";
ProxyD[280] = "";
ProxyD[281] = "";
ProxyD[282] = "";
ProxyD[283] = "";
ProxyD[284] = "";
ProxyD[285] = "";
ProxyD[286] = "";
ProxyD[287] = "";
ProxyD[288] = "";
ProxyD[289] = "";
ProxyD[290] = "";
ProxyD[291] = "";
ProxyD[292] = "";
ProxyD[293] = "";
ProxyD[294] = "";
ProxyD[295] = "";
ProxyD[296] = "";
ProxyD[297] = "";
ProxyD[298] = "";
ProxyD[299] = "";
ProxyD[300] = "";
ProxyD[301] = "";
ProxyD[302] = "";
ProxyD[303] = "";
ProxyD[304] = "";
ProxyD[305] = "";
ProxyD[306] = "";
ProxyD[307] = "";
ProxyD[308] = "";
ProxyD[309] = "";
ProxyD[310] = "";
ProxyD[311] = "";
ProxyD[312] = "";
ProxyD[313] = "";
ProxyD[314] = "";
ProxyD[315] = "";
ProxyD[316] = "";
ProxyD[317] = "";
ProxyD[318] = "";
ProxyD[319] = "";
ProxyD[320] = "";
ProxyD[321] = "";
ProxyD[322] = "";
ProxyD[323] = "";
ProxyD[324] = "";
ProxyD[325] = "";
ProxyD[326] = "";
ProxyD[327] = "";
ProxyD[328] = "";
ProxyD[329] = "";
ProxyD[330] = "";
ProxyD[331] = "";
ProxyD[332] = "";
ProxyD[333] = "";
ProxyD[334] = "";
ProxyD[335] = "";
ProxyD[336] = "";
ProxyD[337] = "";
ProxyD[338] = "";
ProxyD[339] = "";
ProxyD[340] = "";
ProxyD[341] = "";
ProxyD[342] = "";
ProxyD[343] = "";
ProxyD[344] = "";
ProxyD[345] = "";
ProxyD[346] = "";
ProxyD[347] = "";
ProxyD[348] = "";
ProxyD[349] = "";
ProxyD[350] = "";
ProxyD[351] = "";
ProxyD[352] = "";
ProxyD[353] = "";
ProxyD[354] = "";
ProxyD[355] = "";
ProxyD[356] = "";
ProxyD[357] = "";
ProxyD[358] = "";
ProxyD[359] = "";
ProxyD[360] = "";
ProxyD[361] = "";
ProxyD[362] = "";
ProxyD[363] = "";
ProxyD[364] = "";
ProxyD[365] = "";
ProxyD[366] = "";
ProxyD[367] = "";
ProxyD[368] = "";
ProxyD[379] = "";
ProxyD[370] = "";
ProxyD[371] = "";
ProxyD[372] = "";
ProxyD[373] = "";
ProxyD[374] = "";
ProxyD[375] = "";
ProxyD[376] = "";
ProxyD[377] = "";
ProxyD[378] = "";
ProxyD[379] = "";
ProxyD[380] = "";
ProxyD[381] = "";
ProxyD[382] = "";
ProxyD[383] = "";
ProxyD[384] = "";
ProxyD[385] = "";
ProxyD[386] = "";
ProxyD[387] = "";
ProxyD[388] = "";
ProxyD[389] = "";
ProxyD[390] = "";
ProxyD[391] = "";
ProxyD[392] = "";
ProxyD[393] = "";
ProxyD[394] = "";
ProxyD[395] = "";
ProxyD[396] = "";
ProxyD[397] = "";
ProxyD[398] = "";
ProxyD[399] = "";
ProxyD[400] = "";
ProxyD[401] = "";
ProxyD[402] = "";
ProxyD[403] = "";
ProxyD[404] = "";
ProxyD[405] = "";
ProxyD[406] = "";
ProxyD[407] = "";
ProxyD[408] = "";
ProxyD[409] = "";
ProxyD[410] = "";
ProxyD[411] = "";
ProxyD[412] = "";
ProxyD[413] = "";
ProxyD[414] = "";
ProxyD[415] = "";
ProxyD[416] = "";
ProxyD[417] = "";
ProxyD[418] = "";
ProxyD[419] = "";
ProxyD[420] = "";
ProxyD[421] = "";
ProxyD[422] = "";
ProxyD[423] = "";
ProxyD[424] = "";
ProxyD[425] = "";
ProxyD[426] = "";
ProxyD[427] = "";
ProxyD[428] = "";
ProxyD[429] = "";
ProxyD[430] = "";
ProxyD[431] = "";
ProxyD[432] = "";
ProxyD[433] = "";
ProxyD[434] = "";
ProxyD[435] = "";
ProxyD[436] = "";
ProxyD[437] = "";
ProxyD[438] = "";
ProxyD[439] = "";
ProxyD[440] = "";
ProxyD[441] = "";
ProxyD[442] = "";
ProxyD[443] = "";
ProxyD[444] = "";
ProxyD[445] = "";
ProxyD[446] = "";
ProxyD[447] = "";
ProxyD[448] = "";
ProxyD[449] = "";
ProxyD[450] = "";
ProxyD[451] = "";
ProxyD[452] = "";
ProxyD[453] = "";
ProxyD[454] = "";
ProxyD[455] = "";
ProxyD[456] = "";
ProxyD[457] = "";
ProxyD[458] = "";
ProxyD[459] = "";
ProxyD[460] = "";
ProxyD[461] = "";
ProxyD[462] = "";
ProxyD[463] = "";
ProxyD[464] = "";
ProxyD[465] = "";
ProxyD[466] = "";
ProxyD[467] = "";
ProxyD[468] = "";
ProxyD[479] = "";
ProxyD[470] = "";
ProxyD[471] = "";
ProxyD[472] = "";
ProxyD[473] = "";
ProxyD[474] = "";
ProxyD[475] = "";
ProxyD[476] = "";
ProxyD[477] = "";
ProxyD[478] = "";
ProxyD[479] = "";
ProxyD[480] = "";
ProxyD[481] = "";
ProxyD[482] = "";
ProxyD[483] = "";
ProxyD[484] = "";
ProxyD[485] = "";
ProxyD[486] = "";
ProxyD[487] = "";
ProxyD[488] = "";
ProxyD[489] = "";
ProxyD[490] = "";
ProxyD[491] = "";
ProxyD[492] = "";
ProxyD[493] = "";
ProxyD[494] = "";
ProxyD[495] = "";
ProxyD[496] = "";
ProxyD[497] = "";
ProxyD[498] = "";
ProxyD[499] = "";













}




